"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearInvalidFieldsCase = exports.dataInvalidateFieldsCase = exports.dataNavigationOrFetchPageRequestCase = exports.dataAsyncSuccessOrFetchPageSuccessCase = void 0;

var _actions = require("./actions");

var _dataReductions = require("./data-reductions");

var dataAsyncSuccessOrFetchPageSuccessCase = function dataAsyncSuccessOrFetchPageSuccessCase(dataState, payload) {
  return [[_actions.SHARYN_FETCH_PAGE_SUCCESS, _actions.SHARYN_ASYNC_SUCCESS], function () {
    return (0, _dataReductions.addData)(dataState, payload.data);
  }];
}; // eslint-disable-next-line no-unused-vars


exports.dataAsyncSuccessOrFetchPageSuccessCase = dataAsyncSuccessOrFetchPageSuccessCase;

var dataNavigationOrFetchPageRequestCase = function dataNavigationOrFetchPageRequestCase(dataState, payload) {
  return [[_actions.SHARYN_NAVIGATION, _actions.SHARYN_FETCH_PAGE_REQUEST], function () {
    return (0, _dataReductions.clearData)();
  }];
};

exports.dataNavigationOrFetchPageRequestCase = dataNavigationOrFetchPageRequestCase;

var dataInvalidateFieldsCase = function dataInvalidateFieldsCase(dataState, payload) {
  return [_actions.SHARYN_INVALIDATE_FIELDS, function () {
    return (0, _dataReductions.addData)(dataState, {
      invalidFields: payload
    });
  }];
}; // eslint-disable-next-line no-unused-vars


exports.dataInvalidateFieldsCase = dataInvalidateFieldsCase;

var clearInvalidFieldsCase = function clearInvalidFieldsCase(dataState, payload) {
  return [_actions.SHARYN_CLEAR_INVALID_FIELDS, function () {
    return (0, _dataReductions.delData)('invalidFields')(dataState);
  }];
};

exports.clearInvalidFieldsCase = clearInvalidFieldsCase;