"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.offlineCase = exports.onlineCase = exports.startClientNavigationCase = void 0;

var _actions = require("./actions");

var _envReductions = require("./env-reductions");

// eslint-disable-next-line no-unused-vars
var startClientNavigationCase = function startClientNavigationCase(envState, payload) {
  return [_actions.SHARYN_START_CLIENT_NAVIGATION, function () {
    return (0, _envReductions.disableIsServerRender)(envState);
  }];
}; // eslint-disable-next-line no-unused-vars


exports.startClientNavigationCase = startClientNavigationCase;

var onlineCase = function onlineCase(envState, payload) {
  return [_actions.SHARYN_ONLINE, function () {
    return (0, _envReductions.setIsOnline)(envState, true);
  }];
}; // eslint-disable-next-line no-unused-vars


exports.onlineCase = onlineCase;

var offlineCase = function offlineCase(envState, payload) {
  return [_actions.SHARYN_OFFLINE, function () {
    return (0, _envReductions.setIsOnline)(envState, false);
  }];
};

exports.offlineCase = offlineCase;